GET
/api/v1/monitoring/global/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/monitoring/global/?start_time=<START_TIME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/monitoring/global/", params={"start_time": "<START_TIME>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/monitoring/global/");url.search = new URLSearchParams({ start_time: "<START_TIME>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”start_time
required
integer
Start time in epoch format or relative window (e.g., 30 = last 30 minutes)
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
filters
string
Optional filter string
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
object
problems
Array<object>
object
severity_counts
object
Not classified
integer
Information
integer
Warning
integer
Average
integer
High
integer
Disaster
integer
errors
object
key
additional properties
string
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 200, "data": { "problems": [], "severity_counts": { "Not classified": 0, "Information": 0, "Warning": 0, "Average": 0, "High": 0, "Disaster": 0 } }, "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 0}